import QtQuick 1.1
import ".." as SettingsCommon

Item
{
    id: createShortCutRow

    property alias labelText: label.text;
    property alias buttonText: button.text;

    width: parent.width;
    height: button.height

    signal clicked

    SettingsCommon.SettingsStandardText
    {
        id: label
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left
    }

    SettingsCommon.SettingsButton
    {
        id: button
        anchors.right: parent.right
        onClicked: createShortCutRow.clicked()
    }
}
