import QtQuick 1.1

BorderImage
{
	id: widget

    property Item target: parent

    property string backgroundImage: "../images/widgets/edit_box.png"
    property string disabledImage: "../images/widgets/edit_box_disabled.png"
    property int leftBorder: 2
    property int rightBorder: 2
    property int topBorder: 1
    property int bottomBorder: 1

    anchors.fill: target

    border {left: leftBorder; top: topBorder; right: rightBorder; bottom: bottomBorder}
    source:	enabled ? backgroundImage : disabledImage
    mirror: Window.Mirror
}
