import QtQuick 1.1
import "../common/fonts" as Fonts
Row
{
	property alias imageSource : dataItemImage.source
	property string dataType
	property string objects
	property string postfix

	spacing: 5

	Image
	{
		id:dataItemImage
		anchors.top: parent.top; anchors.topMargin: 1
	}
	Column
	{
		property variant fontStyles: Fonts.Online{}

		Text
		{ 
			anchors.left: parent.left
			text:dataType 
			font: fontStyles.normal
			horizontalAlignment: Text.AnchorLeft
		}
		Row
		{
			anchors.left: parent.left
			Text
			{
				text: objects
				font: fontStyles.boldNormal
				horizontalAlignment: Text.AnchorLeft
			}
			Text
			{
				text:postfix 
				font: fontStyles.normal
				horizontalAlignment: Text.AnchorLeft
			}
		}
	}
}
