import QtQuick 1.1
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts

Widgets.CheckBox
{
    id: checkbox

    property bool isBold: false
    property variant fontStyles: Fonts.Common{}

    textfont: isBold ? fontStyles.standardSettingsBoldTextFont : fontStyles.standardSettingsTextFont
    textcolor: "#002822"
    textcolorDisabled: "#969696"
    horizontalMargin: 6
	maxWidth: 1000000
}
